Subject: [v6ops] Nomative language in draft-ietf-v6ops-464xlat-00

From: Cameron Byrne <[email-masked]>
Date: Mon, 27 Feb 2012 09:36:28 -0800

V6ops,

We received some feedback that draft-ietf-v6ops-464xlat-00 has
normative language which is not correct for an informational draft.

When pressed on where the normative language was, we were told that
the issue was use of RFC 2119 key words.

In reviewing RFC 2119, I could not find any limitation on how the
keywords are used

In reviewing RFC 4677, it seems the RFC 2119 drives clarity and
therefore should be used to "tell it like it is"

Further review of published Informational work, i see that RFC 6092 is
informational and uses RFC 2119 key words

 My preference is to keep the key words in 464XLAT for clarity of the document.

Does the WG have an issue with this or statement on how this violates
for complies with norms?

Thanks,

Cameron

---

From: james woodyatt <[email-masked]>
Date: Mon, 27 Feb 2012 10:52:24 -0800

> My preference is to keep the key words in 464XLAT for clarity of the document.

RFC 6092 used normative language not to improve clarity, but because it was expressly intended to inform the development of normative texts by other standards development organizations.

When someone pointed out that RFC 2119 keywords don't belong in Informational category documents, and consensus could neither be established to set RFC 6092 on the Standards Track nor to remove the RFC 2119 keywords, the following disclaimer was inserted in Section 1.2, Use of Normative Keywords:

      NOTE WELL: This document is not a standard, and conformance with
      it is not required in order to claim conformance with IETF
      standards for IPv6.  It uses the normative keywords defined in the
      previous section only for precision.

Are there plans to use I-D.ietf-v6ops-464xlat to inform the development of external standards?

--
james woodyatt <[email-masked]>
member of technical staff, core os networking

---

From: Cameron Byrne <[email-masked]>
Date: Mon, 27 Feb 2012 11:12:49 -0800

> Are there plans to use I-D.ietf-v6ops-464xlat to inform the development of external standards?

No.  The expectation is that the document will informal implementors
(hardware, software, network ...) of how the technologies may work
together within a specific architecture to achieve an outcome.  For
this reason, i would like to keep the precision of the key words ...
but i am not married to the key words.

It is just the reference to RFC 2119 and case of the letters that
would have to be changed?

Thanks,

Cameron

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 27 Feb 2012 13:15:54 -0600

Cameron, check RFC 6459 and use the same.

On Mon, Feb 27, 2012 at 1:12 PM, Cameron Byrne <[email-masked]> wrote:
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops